API ReferenceManagementTenantsAdmin Links
POST
/v2/mgmt/tenant/adminlinks/sso/generate

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

tenantId?string
expireTime?string
email?string
ssoId?string
actorId?string

Optional: recorded as the audit actor for actions performed inside the SSO Setup Suite (instead of the temporary user). Used as-is for audit attribution and not validated.

Generate an SSO admin link for a tenant, using a valid management key.

This API endpoint generates an SSO admin link that allows a tenant administrator to configure SSO settings.

curl -X POST "https://api.descope.com/v2/mgmt/tenant/adminlinks/sso/generate" \  -H "Content-Type: application/json" \  -d '{}'
{  "adminSSOConfigurationLink": "string"}
export interface Response {adminSSOConfigurationLink?: string}
Was this helpful?